<?php

namespace App\Sets\v1\Controller;

use App\Http\Response\HttpStatus;
use App\Http\Response\Response;
use App\Sets\Model\Sets as SetsModel;
use Illuminate\Database\Eloquent\ModelNotFoundException;

class Sets extends \Illuminate\Routing\Controller
{
    use \App\Traits\Controller;
    /**
     * @var array
     * 查询筛选字段
     */
    protected $query_fields = [
        "is_promotion","title","uid","city","type","abroad","service_city_id","cid","is_shelf"
    ];

    /**
     * 套系列表
     * @method get
     * @param
     * @param  uid   int    option
     * @param  shelf int    option
     * @param
     */
    public function index()
    {
        $query = request()->query();
        $where = $this->filter($query);
        $where = $this->setBlurSearch($where,"title");
        is_null($where) && $where = [];
        $row  = isset($query["size"])?$query["size"]:config("app.default_perpage");
        return Response::success(SetsModel::where($where)->paginate($row)->toArray());
    }

    /**
     * 套系基础数据
     * @param $id
     * @method get
     * @return array
     */
    public function show($id)
    {
        try {
            $info = SetsModel::findOrFail($id);
            $info->getRelate(request("relation"));
            return Response::success($info->toArray());
        } catch (ModelNotFoundException $e){
            return Response::error(HttpStatus::HttpNotFound,"套系未找到");
        }
    }

    /**
     * 获取关联信息
     * @param $id
     * @param $relation
     * @return array
     */
    public function getRelate($id,$relation)
    {
        try {
            $model = SetsModel::findOrFail($id , ["id"]);
            $model->getRelate($relation);
            return Response::success($model);
        } catch (ModelNotFoundException $e){
            return Response::error(HttpStatus::HttpNotFound,"套系未找到");
        }
    }

    /**
     * method post
     * 新建套系
     */
    public function store()
    {

    }

}