<?php

namespace App\Works\Validation;

use App\Http\Validation\ValidatorBase as Validator;

class WorksValidator extends Validator
{
    protected $validator = [
        'name'          => 'required|chinese_length:2,15',
        'details'       => 'array_length_min:5,array_length_max:15',
        'uid'           => 'required',
    ];

    protected $message  = [
        'name.required'             =>  '请填写样片名称',
        'name.chinese_length'       =>  '样片名称应为2到15字之间',
        'details.array_length_min'  =>  '您必须上传5-15张照片',
        'details.array_length_max'  =>  '您必须上传5-15张照片',
        'uid.required'              =>  'uid必需',
    ];
}